using UnityEngine;
using System.Collections;

public class Config
{

	public static bool DISPLAY_GAME_GUI = true;

	private static Matrix4x4 _calibrationMatrix;
	
	private static float _LowPassFilterFactor =  1.0f / 60.0f;
	
	public static void calibrateAccelerometer ()
	{
		Vector3 wantedDeadZone = Input.acceleration;
		Quaternion rotateQuaternion = Quaternion.FromToRotation (new Vector3 (0f, 0f, -1f), wantedDeadZone);
		
		// create identity matrix ... rotate our matrix to match up with down vec
		Matrix4x4 matrix = Matrix4x4.TRS (Vector3.zero, rotateQuaternion, new Vector3 (1f, 1f, 1f));
		// get the inverse of the matrix
		_calibrationMatrix = matrix.inverse;
	}

	// Whenever you need an accelerator value from the user
	// call this function to get the 'calibrated' value
	public static Vector3 getAccelerometer (Vector3 accelerator)
	{
		//accelerator =  Vector3.Lerp(Vector3.zero, Input.acceleration, _LowPassFilterFactor);
		//Vector3 accel = _calibrationMatrix.MultiplyVector (accelerator);
		return accelerator;
	}
}
