using UnityEngine;
using System.Collections;

public class CarCrashController : MonoBehaviour 
{

	private CarSoundController _carSoundController;
	
	// Use this for initialization
	void Start () {
		_carSoundController = gameObject.GetComponent<CarSoundController>();
	}
	
	// Update is called once per frame
	void Update () {
	}

	void OnCollisionEnter(Collision coll)
	{
		if(coll.contacts.Length > 0)
		{
			float volumeFactor = Mathf.Clamp01(coll.relativeVelocity.magnitude * 0.08f);
			volumeFactor *= Mathf.Clamp01(0.3f + Mathf.Abs(Vector3.Dot(coll.relativeVelocity.normalized, coll.contacts[0].normal)));
			volumeFactor = volumeFactor * 0.5f + 0.5f;
			StartCoroutine(_carSoundController.Crash(volumeFactor));
		}
	}
}