using UnityEngine;
using System.Collections;

public class CarLightController : MonoBehaviour {
	
	public GameObject FrontLights;
	public GameObject BackLights;
	
	private CarMovementController _carMovementController;
	
	// Use this for initialization
	void Awake () {
		_carMovementController = gameObject.GetComponent<CarMovementController>();
	}
	
	// Update is called once per frame
	void Update () {
		// Check for front lights toggling using touch screen
		CheckForLightsToogle ();
		
		//Check if reversing lights should be active
		CheckForReversingLightsActivation();
	}
	
	void CheckForLightsToogle ()
	{
		if (Input.touchCount > 0 && Input.GetTouch (0).phase == TouchPhase.Ended || Input.GetKeyDown(KeyCode.LeftAlt)) {
			if (!FrontLights.active) {
				FrontLights.SetActiveRecursively (true);
			} else {
				FrontLights.SetActiveRecursively (false);
			}
		}
	}
	
	void CheckForReversingLightsActivation()
	{
		if (_carMovementController.acceleration < 0) {
			BackLights.SetActiveRecursively (true);
		} else {
			BackLights.SetActiveRecursively (false);
		}
	}
}
