using UnityEngine;
using System.Collections;

public class CheckpointSupervisor : MonoBehaviour {
	
	public int nextCheckpointNumber;
	
	public bool lastCheckpoint;
	
	private GameObject[] checkpointGameObjects;

	private int checkpointAmount;
	private int currentLap;
	private int maxLap;

	// Use this for initialization
	void Start () {
		// Setup checkpoint variables
		nextCheckpointNumber = 1;
		currentLap = 1;
		maxLap = 1;
		
		// Disable last checkpoint switch
		lastCheckpoint = false;

		// Get all checkpoints
		// WARNING! Minimum number of checkpoints: 2
		checkpointGameObjects = GameObject.FindGameObjectsWithTag("Checkpoint");
	}
	
	// Update is called once per frame
	void Update () {

	}
	
	public void Notify(int checkpointNumber){
		if(checkpointNumber == nextCheckpointNumber){	
			nextCheckpointNumber++;
			if (nextCheckpointNumber > checkpointGameObjects.Length){
				nextCheckpointNumber = 1;
				lastCheckpoint = true;
			}
		}
		
		// Check for lap ending
		if (checkpointNumber == 1 && lastCheckpoint == true) {
			
			// Reset checkpoint settings and score a lap
			nextCheckpointNumber = 2;
			currentLap++;
			lastCheckpoint = false;
		}
	}
	
	public int GetCurrentLap()
	{
		return currentLap;
	}
	
	public int GetMaxLap(){
		return maxLap;
	}
	
	public int GetNextCheckpointNumber()
	{
		return nextCheckpointNumber;
	}
}
