using UnityEngine;
using System.Collections;

public class GUIGoScript : MonoBehaviour
{

	public GameObject Car;
	public float animationSpeed = 10;

	private CarMovementController carMovementController;

	private bool _setupSequence;

	// Use this for initialization
	void Awake ()
	{
		_setupSequence = true;
		carMovementController = Car.GetComponent<CarMovementController> ();
	}

	// Update is called once per frame
	void Update ()
	{
		// Setup basic data
		if (_setupSequence) {
			_setupSequence = false;

			// Small starting delay
			StartCoroutine (ScrollPlaneRight());
		}
	}


	IEnumerator ScrollPlaneRight ()
	{
		yield return new WaitForSeconds (1);
		while (transform.localPosition.x <= 1.0f) {
			yield return new WaitForSeconds (0.001f);
			transform.Translate (Vector3.left * Time.deltaTime * animationSpeed);	
		}
		// Enable car controls!
		carMovementController.controlsEnabled = true;
		// Disable object for better performance
		gameObject.active = false;
	}
	
}

