using UnityEngine;
using System.Collections;

public class Timer : MonoBehaviour
{

	public CarMovementController carMovementController;

	private int miliSeconds;
	private int seconds;
	private int minutes;
	private bool timerActive;
	
	// Use this for initialization
	void Start ()
	{
		timerActive= true;
		miliSeconds = 0;
		seconds = 0;
		minutes = 0;
	}

	// Update is called once per frame
	void Update ()
	{
		// Start counting when player can control the car
		if (carMovementController.controlsEnabled && minutes != 60 && timerActive) {
			StartCoroutine (UpdateTimer ());
		}
	}

	// Timer mechanism
	IEnumerator UpdateTimer ()
	{
		// Wait for one centisecond
		yield return new WaitForSeconds (0.016f);
		if (miliSeconds == 59) {
			miliSeconds = 0;
			if (seconds == 59) {
				seconds = 0;
				minutes++;
			} else {
				seconds++;
			}
		} else {
			miliSeconds++;
		}
	}
	
	public void StopTimer(){
		timerActive = false;
	}
	
	public string GetMiliSeconds(){
		if (miliSeconds < 10){
			return "0" + miliSeconds;
		}
		return miliSeconds.ToString();
	}
	
	public string GetSeconds(){
		if (seconds < 10){
			return "0" + seconds;
		}
		return seconds.ToString();
	}
	
	public string GetMinutes(){
		if (minutes < 10){
			return "0" + minutes;
		}
		return minutes.ToString();
	}
}
