using UnityEngine;
using System.Collections;

public class MenuSceneScript : MonoBehaviour {
	
	private AudioSource _audioSource;
	private bool _switchScene;
	private bool _startCoroutine;
	
	public GameObject MenuPushToStart;
	public GameObject MenuLoading;
	
	// Use this for initialization
	void Start () {
		_switchScene = false;
		_startCoroutine = false;
		_audioSource = GetComponent<AudioSource> ();
		
		//Prevent screen from going intosleep mode
		Screen.sleepTimeout = 0;
	}
	
	// Update is called once per frame
	void Update () {
		if((Input.touchCount > 0 && Input.GetTouch(0).phase == TouchPhase.Ended 
		   || Input.GetKeyDown(KeyCode.Space))  && !_switchScene) {
			// Disable menu push to start animation and enable "loading" texture
			MenuPushToStart.active = false;
			MenuLoading.active = true;
			
			_switchScene = true;
			_startCoroutine = true;
		}
		
		if (Input.GetKeyDown(KeyCode.Escape)) { Application.Quit(); }
		
		if (_switchScene){
			if(_startCoroutine){
				// Start background music volume lowering
				StartCoroutine("AudioSourceVolumeDown");
				_startCoroutine = false;
			}
		
			if(_audioSource.volume == 0){
				Application.LoadLevel("gameScene");
			}
		}
	}
	
	IEnumerator AudioSourceVolumeDown() {
		while(_audioSource.volume > 0){
			yield return new WaitForSeconds(0.2f);
			_audioSource.volume = _audioSource.volume - 0.1f;
		}
		
	}
}
